# Delete a subscription discount

Removes the currently applied discount on a subscription.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. Create a payment method
POST /v1/payment_methods {"type":"card","card":{"token":"tok_visa"}}
2. Create a customer and attach the payment method
POST /v1/customers {"name":"Jenny Rosen","email":"jennyrosen@example.com","payment_method":"${node.prerequisites.createPaymentMethod.createPaymentMethod:id}","invoice_settings":{"default_payment_method":"${node.prerequisites.createPaymentMethod.createPaymentMethod:id}"}}
3. Create a product
POST /v1/products {"name":"Gold Plan"}
4. Create a price
POST /v1/prices {"product":"${node.prerequisites.createProduct.createProduct:id}","unit_amount":2000,"currency":"usd","recurring":{"interval":"month"}}
5. Create a subscription
POST /v1/subscriptions {"customer":"${node.prerequisites.createCustomer.createCustomer:id}","items":[{"price":"${node.prerequisites.createPrice.createPrice:id}"}]}

## Request

```curl
curl -X DELETE https://api.stripe.com/v1/subscriptions/{{SUBSCRIPTION_ID}}/discount \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "object": "discount",
  "deleted": true
}
```

## Returns

An object with a deleted flag set to true upon success. This call returns [an error](https://docs.stripe.com/api/discounts/subscription_delete.md#errors) otherwise, such as if no discount exists on this subscription.
